{%- for transfer in transfers -%}

    {%- set type = transfer.type  -%}
    {%- set username = ''  -%}
    {%- set avatar = ''  -%}
    {%- set time = transfer.timestamp  -%}

    {%- if type == 'author_reward' -%}
        {%- set avatar = transfer.author  -%}
        {%- set username = transfer.author  -%}
    {%- elseif type == 'curation_reward' -%}
        {%- set avatar = transfer.author  -%}
        {%- set username = transfer.author  -%}
    {%- elseif type == 'transfer' -%}
        {%- set avatar = transfer.from  -%}
        {%- set username = transfer.from  -%}
    {%- elseif type == 'claim_reward_balance' -%}
        {%- set avatar = transfer.account  -%}
        {%- set username = transfer.account  -%}
    {%- else -%}
    {%- endif -%}

    {%- include 'AppBundle:User/Account/Transfers:single.html.twig' -%}
{%- endfor -%}